Scanner supported but not working ( Brother MFC-9140cdn )

Kernels & Hardware, configuring network, installing services

Scanner supported but not working ( Brother MFC-9140cdn )

Postby ikar0 » 2018-12-02 16:00

Hi all :D ,

my scanner is supported by Linux , but not working ( Debian 9 ) : https://support.brother.com/g/b/downloadlist.aspx?c=eu_ot&lang=en&prod=mfc9140cdn_eu_as_cn&os=128

It is not a problem of firewall , apparmor , firejail ( I think ) .

I do not know if it is a problem of antivirus ( Sophos free edition )

How can I do ? ,

Thanks :D

Ik@r0
Last edited by ikar0 on 2018-12-02 17:07, edited 1 time in total.
ikar0
 
Posts: 14
Joined: 2014-04-26 10:53

Re: Scanner supported but not working ( Brother MFC-9140cdn

Postby arochester » 2018-12-02 16:44

Clarification.

Have you downloaded and installed the "Driver Install Tool" from the Brother website?

Have you rebooted?
arochester
 
Posts: 1349
Joined: 2010-12-07 19:55

Re: Scanner supported but not working ( Brother MFC-9140cdn

Postby ikar0 » 2018-12-02 17:07

Thank U for the reply :D

Answer to your question : I have used the universal ( printer , scanner , fax ) installer from Brother website AND rebooted .

Code: Select all
ikar0@LianLi:~/Scaricati/brother$ sudo bash linux-brprinter-installer-2.2.1-1
Input model name ->mfc-9140cdn

You are going to install following packages.
   mfc9140cdnlpr-1.1.2-1.i386.deb
   mfc9140cdncupswrapper-1.1.4-0.i386.deb
   brscan4-0.4.6-1.amd64.deb
   brscan-skey-0.2.4-1.amd64.deb
OK? [y/N] ->Y

Trovato:1 http://security.debian.org/debian-security stretch/updates InRelease
Ign:2 http://dl.google.com/linux/earth/deb stable InRelease                   
Scaricamento di:3 http://ppa.launchpad.net/robert-tari/main/ubuntu disco InRelease [15,4 kB]
Trovato:4 http://ftp.debian.org/debian stretch-backports InRelease             
Trovato:5 http://www.deb-multimedia.org stretch InRelease                     
Trovato:6 http://dl.google.com/linux/earth/deb stable Release                 
Trovato:7 http://www.deb-multimedia.org stretch-backports InRelease           
Trovato:8 https://download.virtualbox.org/virtualbox/debian stretch InRelease 
Trovato:9 https://packages.microsoft.com/repos/vscode stable InRelease       
Ign:10 http://ftp.sg.debian.org/debian stretch InRelease
Ign:3 http://ppa.launchpad.net/robert-tari/main/ubuntu disco InRelease
Trovato:11 http://ftp.sg.debian.org/debian stretch-updates InRelease
Trovato:12 http://ftp.sg.debian.org/debian stretch Release
Recuperati 15,4 kB in 2s (5.247 B/s)               
Lettura elenco dei pacchetti... Fatto
W: Errore GPG: http://ppa.launchpad.net/robert-tari/main/ubuntu disco InRelease: Le seguenti firme non sono state verificate perché la chiave pubblica non è disponibile: NO_PUBKEY CA4D8E918635E834
W: The repository 'http://ppa.launchpad.net/robert-tari/main/ubuntu disco InRelease' is not signed.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
N: Skipping acquire of configured file 'main/binary-i386/Packages' as repository 'http://dl.google.com/linux/earth/deb stable InRelease' doesn't support architecture 'i386'
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Il pacchetto ia32-libs non ha versioni disponibili, ma è nominato da un altro
pacchetto. Questo potrebbe indicare che il pacchetto è mancante, obsoleto
oppure è disponibile solo all'interno di un'altra sorgente
Tuttavia questi pacchetti lo sostituiscono:
  lib32z1 lib32ncurses5

E: Il pacchetto "ia32-libs" non ha candidati da installare
dpkg -x mfc9140cdnlpr-1.1.2-1.i386.deb /
dpkg -x mfc9140cdncupswrapper-1.1.4-0.i386.deb /
dpkg-deb: generazione del pacchetto "mfc9140cdnlpr" in "mfc9140cdnlpr-1.1.2-1a.i386.deb".
dpkg -b ./brother_driver_packdir mfc9140cdnlpr-1.1.2-1a.i386.deb
dpkg-deb: generazione del pacchetto "mfc9140cdncupswrapper" in "mfc9140cdncupswrapper-1.1.4-0a.i386.deb".
dpkg -b ./brother_driver_packdir mfc9140cdncupswrapper-1.1.4-0a.i386.deb
dpkg -i --force-all mfc9140cdnlpr-1.1.2-1a.i386.deb
Selezionato il pacchetto mfc9140cdnlpr:i386 non precedentemente selezionato.
(Lettura del database... 380179 file e directory attualmente installati.)
Preparativi per estrarre mfc9140cdnlpr-1.1.2-1a.i386.deb...
Estrazione di mfc9140cdnlpr:i386 (1.1.2-1)...
Configurazione di mfc9140cdnlpr:i386 (1.1.2-1)...
dpkg -i --force-all mfc9140cdncupswrapper-1.1.4-0a.i386.deb
Selezionato il pacchetto mfc9140cdncupswrapper:i386 non precedentemente selezionato.
(Lettura del database... 380209 file e directory attualmente installati.)
Preparativi per estrarre mfc9140cdncupswrapper-1.1.4-0a.i386.deb...
Estrazione di mfc9140cdncupswrapper:i386 (1.1.4-0)...
Configurazione di mfc9140cdncupswrapper:i386 (1.1.4-0)...
Restarting cups (via systemctl): cups.service.
lpadmin -p MFC9140CDN -E -v dnssd://Brother%20MFC-9140CDN._pdl-datastream._tcp.local/?uuid=e3248000-80ce-11db-8000-3c2af45fb4a5 -P /usr/share/cups/model/Brother/brother_mfc9140cdn_printer_en.ppd
#
The security level of AppArmor has been lowered. (aa-complain cups)
aa-complain cupsd
Setting /usr/sbin/cupsd to complain mode.

ERROR: Warning: unable to find a suitable fs in /proc/mounts, is it mounted?
Use --subdomainfs to override.

Will you specify the Device URI? [Y/n] ->Y


0: beh
1: cups-pdf:/
2: http
3: serial:/dev/ttyS0?baud=115200
4: ipp14
5: lpd
6: socket
7: ipps
8: ipp
9: https
10: parallel:/dev/lp0
11: xpraforwarder
12: hp
13: hpfax
14: dnssd://Brother%20MFC-9140CDN._ipp._tcp.local/?uuid=e3248000-80ce-11db-8000-3c2af45fb4a5
15: lpd://BRN3C2AF45FB4A5/BINARY_P1
16 (I): Specify IP address.
17 (A): Auto. (dnssd://Brother%20MFC-9140CDN._ipp._tcp.local/?uuid=e3248000-80ce-11db-8000-3c2af45fb4a5)

select the number of destination Device URI. ->17

lpadmin -p MFC9140CDN -v dnssd://Brother%20MFC-9140CDN._ipp._tcp.local/?uuid=e3248000-80ce-11db-8000-3c2af45fb4a5 -E
Test Print? [y/N] ->Y

wait 5s.
lpr -P MFC9140CDN /usr/share/cups/data/testprint
You are going to install following packages.
   brscan4-0.4.6-1.amd64.deb
dpkg -i --force-all brscan4-0.4.6-1.amd64.deb
(Lettura del database... 380213 file e directory attualmente installati.)
Preparativi per estrarre brscan4-0.4.6-1.amd64.deb...
Estrazione di brscan4 (0.4.6-1) su (0.4.6-1)...
Configurazione di brscan4 (0.4.6-1)...
This software is based in part on the work of the Independent JPEG Group.
You are going to install following packages.
   brscan-skey-0.2.4-1.amd64.deb
dpkg -i --force-all brscan-skey-0.2.4-1.amd64.deb
(Lettura del database... 380213 file e directory attualmente installati.)
Preparativi per estrarre brscan-skey-0.2.4-1.amd64.deb...
Estrazione di brscan-skey (0.2.4-1) su (0.2.4-1)...
Configurazione di brscan-skey (0.2.4-1)...
 enter IP address ->192.168.178.052

brsaneconfig4 -a name=MFC-9140CDN model=MFC-9140CDN ip=192.168.178.052
Hit Enter/Return key.
ikar0
 
Posts: 14
Joined: 2014-04-26 10:53


Return to System configuration

Who is online

Users browsing this forum: No registered users and 1 guest

fashionable